org.modeshape.jdbc.delegate

## Class ConnectionInfo

- java.lang.Object
- - org.modeshape.jdbc.delegate.ConnectionInfo

-     public abstract class ConnectionInfo
      extends Object

  The ConnectionInfo contains the information used to connect to the Jcr Repository.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Properties` | `properties`
    `protected String` | `repositoryPath`
    `protected String` | `url`
    `static TextDecoder` | `URL_DECODER`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConnectionInfo(String url, Properties properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addPasswordPropertyInfo(List<DriverPropertyInfo> results)`
    `protected void` | `addRepositoryNamePropertyInfo(List<DriverPropertyInfo> results)`
    `protected void` | `addUrlPropertyInfo(List<DriverPropertyInfo> results)`
    `protected void` | `addUserNamePropertyInfo(List<DriverPropertyInfo> results)`
    `protected void` | `addWorkspacePropertyInfo(List<DriverPropertyInfo> results)`
    `Credentials` | `getCredentials()` Return the credentials based on the user name and password.
    `String` | `getEffectiveUrl()` Get the effective URL of this connection, which places all properties on the URL (with a '*' for each character in the password property)
    `char[]` | `getPassword()` Get the JCR password.
    `Properties` | `getProperties()` Get the immutable properties for the connection.
    `protected char` | `getPropertyDelimiter()` Return the starting property delimiter
    `DriverPropertyInfo[]` | `getPropertyInfos()` Obtain the array of `DriverPropertyInfo` objects that describe the missing properties.
    `String` | `getRepositoryName()` Get the name of the repository.
    `String` | `getRepositoryPath()` Get the part of the `getUrl()` that indicates the path to connect to the Repository.
    `String` | `getUrl()` Get the original URL of the connection.
    `abstract String` | `getUrlExample()` The delegate should provide an example of the URL to be used
    `abstract String` | `getUrlPrefix()` The delegate should provide the prefix defined by the `LocalJcrDriver`
    `String` | `getUsername()` Get the JCR user name.
    `String` | `getWorkspaceName()` Get the name of the workspace.
    `protected void` | `init()`
    `boolean` | `isTeiidSupport()` Return true of Teiid support is required for this connection.
    `protected void` | `setPropertyDelimiter(char delimiter)`
    `void` | `setWorkspaceName(String workSpaceName)` Call to set the workspace name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URL_DECODER

          public static final TextDecoder URL_DECODER

    - #### url

          protected String url

    - #### repositoryPath

          protected String repositoryPath

    - #### properties

          protected Properties properties

  - ### Constructor Detail

    - #### ConnectionInfo

          protected ConnectionInfo(String url,
                        Properties properties)

  - ### Method Detail

    - #### init

          protected void init()

    - #### getUrl

          public String getUrl()

      Get the original URL of the connection.
      Returns:
        the URL; never null

    - #### getRepositoryPath

          public String getRepositoryPath()

      Get the part of the `getUrl()` that indicates the path to connect to the Repository. This value should be prefixed by the `getUrlPrefix()` in the `getUrl()`.
      Returns:
        String

    - #### getProperties

          public Properties getProperties()

      Get the immutable properties for the connection.
      Returns:
        the properties; never null

    - #### getRepositoryName

          public String getRepositoryName()

      Get the name of the repository. This is required only if the `Repositories` instance is being used to obtain the Repository.
      Returns:
        the name of the repository, or null if no repository name was specified

    - #### getWorkspaceName

          public String getWorkspaceName()

      Get the name of the workspace. This is not required, and if abscent implies obtaining the JCR Repository's default workspace.
      Returns:
        the name of the workspace, or null if no workspace name was specified

    - #### setWorkspaceName

          public void setWorkspaceName(String workSpaceName)

      Call to set the workspace name. This is not required, and if abscent implies obtaining the JCR Repository's default workspace.
      Parameters:
        `workSpaceName` -

    - #### getUsername

          public String getUsername()

      Get the JCR user name. This is not required, and if abscent implies that no credentials should be used when obtaining a JCR Session.
      Returns:
        the JCR user name, or null if no user name was specified

    - #### getPassword

          public char[] getPassword()

      Get the JCR password. This is not required.
      Returns:
        the JCR password, or null if no password was specified

    - #### isTeiidSupport

          public boolean isTeiidSupport()

      Return true of Teiid support is required for this connection.
      Returns:
        true if Teiid support is required.

    - #### getEffectiveUrl

          public String getEffectiveUrl()

      Get the effective URL of this connection, which places all properties on the URL (with a '*' for each character in the password property)
      Returns:
        the effective URL; never null

    - #### getPropertyDelimiter

          protected char getPropertyDelimiter()

      Return the starting property delimiter
      Returns:
        char property delimiter

    - #### setPropertyDelimiter

          protected void setPropertyDelimiter(char delimiter)

    - #### getPropertyInfos

          public DriverPropertyInfo[] getPropertyInfos()

      Obtain the array of `DriverPropertyInfo` objects that describe the missing properties.
      Returns:
        DriverPropertyInfo the property infos; never null but possibly empty

    - #### addUrlPropertyInfo

          protected void addUrlPropertyInfo(List<DriverPropertyInfo> results)

    - #### addUserNamePropertyInfo

          protected void addUserNamePropertyInfo(List<DriverPropertyInfo> results)

    - #### addPasswordPropertyInfo

          protected void addPasswordPropertyInfo(List<DriverPropertyInfo> results)

    - #### addWorkspacePropertyInfo

          protected void addWorkspacePropertyInfo(List<DriverPropertyInfo> results)

    - #### addRepositoryNamePropertyInfo

          protected void addRepositoryNamePropertyInfo(List<DriverPropertyInfo> results)

    - #### getUrlExample

          public abstract String getUrlExample()

      The delegate should provide an example of the URL to be used
      Returns:
        String url example

    - #### getUrlPrefix

          public abstract String getUrlPrefix()

      The delegate should provide the prefix defined by the `LocalJcrDriver`
      Returns:
        String url prefix

    - #### getCredentials

          public Credentials getCredentials()

      Return the credentials based on the user name and password.
      Returns:
        Credentials

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.